Bug 113262 - Packets that should get redirects are natted
Packets that should get redirects are natted
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-11 09:42 EST by Ted Kaczmarek
Modified: 2007-04-18 13:01 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-21 13:50:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ted Kaczmarek 2004-01-11 09:42:46 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5)
Gecko/20031007 Firebird/0.7

Description of problem:
On an interface that is masquerading, packets that should be getting
icmp redirects are being natted.

Version-Release number of selected component (if applicable):
kernel-2.4.20-28.9 iptables-1.2.7a-2

How reproducible:
Always

Steps to Reproduce:
1.Update router/firewall with 4 interfaces
2.Send packets to inetrface that should generate icmp redirects
3.Packets are masquearded instead of redirects being generated
    

Actual Results:  Packets are natted.

Expected Results:  ICMP redirect is sent.

Additional info:

IThe interface in question ip address is 208.190.18.254/24 on
interface eth3. If I insert  iptables -t nat -I POSTROUTING -s
208.190.18.0/24 -o eth3 -j ACCEPT it will not nat the packets, but
their is no reason for packets that should be getting redirected to be
natted.
Comment 1 Ted Kaczmarek 2004-08-21 13:50:50 EDT
This is cipe related which is pointless to follow up on.

Note You need to log in before you can comment on or make changes to this bug.